<?php class basereport extends baseobject {

    /**
     * @param array $request
     * @return null
     */
    public static function getAll(array $request=array()): ?array {
        return null;
    }

	public static function gettypes(int $id, array $request=[]): array {
		$classes=[];
		$coreClasses=array_diff(scandir(__DIR__.'/../core/'), array('..', '.'));
		$modelClasses=array_diff(scandir(__DIR__.'/../model/'), array('..', '.'));
		foreach($modelClasses as $modelClass) {
			$classes[]=[ "name"=>str_replace('.class.php', '', $modelClass), "label"=>str_replace('.class.php', '', $modelClass) ];
		}
		return [
			'total'=>count($classes),
			'rows'=>$classes
		];
	}

}